Subject: Re: -Wunterminated-string-initialization warning with GCC 15 in object-file.c

From: Sam James <[email-masked]>
Date: Mon, 18 Nov 2024 09:58:36 +0000

Jeff King <[email-masked]> writes:

> On Sun, Nov 17, 2024 at 04:03:31PM +0000, brian m. carlson wrote:
>
>> On 2024-11-17 at 09:03:29, Jeff King wrote:
>> > Here are some patches. The first one should fix the warning (but I don't
>> > have gcc-15 handy to test!). Please let me know if it works for you (and
>> > thank you for reporting).
>> 
>> Just so you know, since I believe you also use Debian unstable, you can
>> install the gcc-snapshot package (which is, admittedly, rather large)
>> and use `CC=/usr/lib/gcc-snapshot/bin/gcc`.
>
> Thanks, I was stupidly looking for a "gcc-15" package in experimental,
> not realizing it had not actually been released yet. I reproduced the
> problem with the snapshot (which is from 20241004) and verified that my
> series fixes it.

Sorry for not saying that explicitly -- I always try to balance some
long blurb of background and FYIs with not being verbose :(

I'll include it in future reports, sorry again!

> -Peff